Bug 435822 - ekiga crashes on incoming or outgoing call when remote party accepts
ekiga crashes on incoming or outgoing call when remote party accepts
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 19:04 EST by David
Modified: 2008-11-14 06:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-14 06:17:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2008-03-03 19:04:42 EST
Description of problem:


Version-Release number of selected component (if applicable):
Ekiga crashes consistently on Fedora 8, in both imcoming and outgoing calls.

However the video poreview works fine from the webcam.

How reproducible:
Perfectly everytime without fail it crashes

Steps to Reproduce:
1. Make an outgoing call, when remote party accepts it crashes
2. In an incoming call it brings up incoming call window but crashes immediately.
3.
  
Actual results:


Expected results:


Additional info:

The crash bug on outgoing call after remote accepts:

Distribution: Fedora release 8 (Werewolf)
Gnome Release: 2.20.3 2008-01-08 (Red Hat, Inc)
BugBuddy Version: 2.20.1

System: Linux 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:48:34 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout:
0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/8391,unix/unix:/tmp/.ICE-unix/8391
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
Window manager warning: Failed to read saved session file
/home/David.Cottle/.metacity/sessions/default1.ms: Failed to open file
'/home/David.Cottle/.metacity/sessions/default1.ms': No such file or di
12
** (nm-applet:8493): WARNING **: <WARN>  applet_dbus_manager_start_service():
Could not acquire the NetworkManagerUserSettings service as it is already taken.
 Return: 3
(nm-applet:8493): GLib-CRITICAL **: g_hash_table_destroy: assertion `hash_table
!= NULL' failed
(nm-applet:8493): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
(nm-applet:8493): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
ekiga: pcm_params.c:2351: sndrv_pcm_hw_params: Assertion `err >= 0' failed.
--------------------------------------------------


Now incoming call, crashes fewe seconds after requester appears:


Distribution: Fedora release 8 (Werewolf)
Gnome Release: 2.20.3 2008-01-08 (Red Hat, Inc)
BugBuddy Version: 2.20.1

System: Linux 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:48:34 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout:
0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
Window manager warning: Failed to read saved session file
/home/David.Cottle/.metacity/sessions/default1.ms: Failed to open file
'/home/David.Cottle/.metacity/sessions/default1.ms': No such file or di
12
** (nm-applet:8493): WARNING **: <WARN>  applet_dbus_manager_start_service():
Could not acquire the NetworkManagerUserSettings service as it is already taken.
 Return: 3
(nm-applet:8493): GLib-CRITICAL **: g_hash_table_destroy: assertion `hash_table
!= NULL' failed
(nm-applet:8493): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
(nm-applet:8493): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
ekiga: pcm_params.c:2351: sndrv_pcm_hw_params: Assertion `err >= 0' failed.
ekiga: pcm_params.c:2351: sndrv_pcm_hw_params: Assertion `err >= 0' failed.
--------------------------------------------------
Comment 1 Peter Robinson 2008-10-30 16:55:43 EDT
Does this still happen? Have you tried Fedora 9? What versions of ekiga/opal/pwlib are you running?
Comment 2 David 2008-10-30 21:14:33 EDT
I buildrpm ekiga 3.00-1 and opal from F10 packages and its been running well on F9.  I even built for F8 and its running well too.
Comment 3 Peter Robinson 2008-11-14 06:17:43 EST
Yes, I've been using ekiga 3 for quite some time. Going to close this bug as F-8 is about to go EOL and your running ekiga 3 without issues.

Note You need to log in before you can comment on or make changes to this bug.